# Class for skadereg firewall
class aim_control::firewall {
  firewalld_rich_rule { 'Allow 33060 from liu ipv4':
    ensure  => present,
    zone    => 'liu',
    source  => { 'ipset' => 'liu-nets_v4' },
    port    => { 'port' => 33060, 'protocol' => 'tcp' },
    family  => 'ipv4',
    action  => 'accept',
  }
  firewalld_rich_rule { 'Allow 33060 from liu ipv6':
    ensure  => present,
    zone    => 'liu',
    source  => { 'ipset' => 'liu-nets_v6' },
    port    => { 'port' => 33060, 'protocol' => 'tcp' },
    family  => 'ipv6',
    action  => 'accept',
  }
  firewalld_rich_rule { 'Allow ssh from liu 10.243.0.0/16':
    ensure  => present,
    zone    => 'liu',
    source  => '10.243.0.0/16',
    service => 'ssh',
    action  => 'accept',
  }
  firewalld_service { 'Allow https from liu Zone':
    ensure  => present,
    zone    => 'liu',
    service => 'https',
  }
  firewalld_service { 'Allow http from liu Zone':
    ensure  => present,
    zone    => 'liu',
    service => 'http',
  }
  firewalld_service { 'Allow https from public Zone':
    ensure  => present,
    zone    => 'public',
    service => 'https',
  }
  firewalld_service { 'Allow http from public Zone':
    ensure  => present,
    zone    => 'public',
    service => 'http',
  }
}
